/* ------------------------------------------------------------------------------------------------------------------ */
/* Login                                                                                                              */
/* ------------------------------------------------------------------------------------------------------------------ */
.user-icon {
    height: 30px;
    width: 30px;
    margin-right: 0.5rem;
}
.btn-login {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    color: #fff;
    padding: 0.5rem 1rem;
    border: none;
    border-radius: 0.5rem;
    font-size: 0.95rem;
    transition: background 0.2s;
    width: 20rem;
    max-width: 100%;
}
.btn-login .btn-icon {
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.5rem;
    filter: brightness(0) invert(1);
}
.btn-login.outlook {
    background-color: #0072c6;
}
.btn-login.outlook:hover {
    background-color: #005bb5;
    color: white;
}
.btn-login.google {
    background-color: #dc4b3a;
}
.btn-login.google:hover {
    background-color: #c03d2f;
    color: white;
}
.btn-login.facebook {
    background-color: #1877f2;
}
.btn-login.facebook:hover {
    background-color: #155db2;
    color: white;
}
.btn-login.apple {
    background-color: rgba(0, 0, 0, 0.2);
}
.btn-login.apple:hover {
    background-color: rgba(0, 0, 0, 0.3);
    color: white;
}